var windowId,proName = window.location.pathname.split("/")[1],sysUrl = "http://"+window.location.host+"/"+proName,toEdit;
var num=0
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	
	initGrid();
//	initDetailTab();
}
//查询条件
function getQueryParams(){
	var sParam = {};
	sParam.LIKElistname = $('#LIKElistname').textbox("getValue");
	
	return sParam;
}
//加载列表
function initGrid(){	
	
	var toolbar = [
		{
	    	text	:	'查询',
	        iconCls	:	'icon-search',
	        handler	:	doSearch
	    },{
	        text	:	'增加',
	        iconCls	:	'icon-add',
	        handler	:	doAdd
	    },{
	        text	:	'修改',
	        iconCls	:	'icon-cut',
	        handler	:	doEdit
	    },{
	        text	:	'删除',
	        iconCls	:	'icon-delete',
	        handler	:	doDelete
	    },{
	        text	:	'启用',
	        iconCls	:	'icon-start',
	        handler	:	switchOpen
	    },{
	        text	:	'停止',
	        iconCls	:	'icon-end',
	        handler	:	switchClose
	    }];
	
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywsoftwarelistAction!listYwsoftwarelistByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:20
			},
		    {field:'listid',title:'listid',hidden:true,width:20, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
			{field:'listname',title:'目录名称',hidden:false,width:120},
			/*{field:'listtypeMc',title:'应用类型',hidden:false,width:100},*/
			{field:'machinename',title:'所在服务器',hidden:false,width:115},
			{field:'detectionswitchmc',title:'是否启用',hidden:false,width:65}
			
		]],
		onClickRow:function(index,row){
			num=index;
			setchecked();
		},
		onLoadSuccess:function(){
			$("#tableGrid").datagrid("selectRow",num);
			setchecked();			
		}
	});
}

function initDetailTab(){
	detailtab = $("#detailtab").tabs({
		onSelect:function(title,index){

			/*if(index){
				setTimeout(function(){choseSrc(index)},500);
			}*/
		}
	});
}

function setchecked(){
	var selRows = $('#tableGrid').datagrid('getSelected');
	if(selRows){
		var machineid = selRows.machineid;
		var listid = selRows.listid;
		$("#softInfo").prop("src",'../../softwaremanage/softwareinfo/ywsoftwareinfo.jsp?machineid='+machineid+"&listid="+listid);
	}
	
}

//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywsoftwarelistAction!delete_Ywsoftwarelist.do',
			data:{
				listid	:	selRows.listid

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].listid);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'ywsoftwarelistAction!batch_delete_Ywsoftwarelist.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(flag == "success"){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	400,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/softwaremanage/softwarelist/ywsoftwarelist_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	400,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/softwaremanage/softwarelist/ywsoftwarelist_show.jsp"
	});	 
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
//	console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	model.listdescribe = jq('#listdescribe').val();
	if(toEdit){//修改
		model.XGTJlistid = jq('#listid').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywsoftwarelistAction!update_Ywsoftwarelist.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywsoftwarelistAction!insert_Ywsoftwarelist.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/im/xx/ywsoftwarelist_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywsoftwarelistAction!count_Ywsoftwarelist.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'ywsoftwarelistAction!exp_Ywsoftwarelist.do?'+downParam;
	document.excelForm.submit(); 
}

function switchOpen(){				// 开启
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}else{
	    $.ajax({
			 type:'post',
			 dataType : 'json',
			 url:'ywsoftwarelistAction!update_Ywsoftwarelist.do',
			 data:{'XGTJlistid':selRows.listid,'detectionswitch':1},
			 success:function(res){
			 	if(res){
					$.showMsg("操作成功！");
				 	doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		 });
	}
}

function switchClose(){				// 关闭
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}else{
	    $.ajax({
			 type:'post',
			 dataType : 'json',
			 url:'ywsoftwarelistAction!update_Ywsoftwarelist.do',
			 data:{'XGTJlistid':selRows.listid,'detectionswitch':0},
			 success:function(res){
			 	if(res){
					$.showMsg("操作成功！");
				 	doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		 });
	}
}